Bug Hunting Session
Bug 91778 - EDITING: Initial cursor position not cleared after movement
Summary: EDITING: Initial cursor position not cleared after movement
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.0.0.0.beta1
Hardware: Other All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:5.2.0 target:5.1.3
Keywords: bibisected, regression
: 92828 (view as bug list)
Depends on:
Blocks:
 
Reported: 2015-05-31 16:00 UTC by Thorsten Wagner
Modified: 2016-10-25 19:08 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot (8.53 KB, image/png)
2015-05-31 16:00 UTC, Thorsten Wagner
Details
Screenshot - Behaviour before the second cursor appeard (29.07 KB, image/png)
2016-02-13 12:52 UTC, Michael Weghorn
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Thorsten Wagner 2015-05-31 16:00:46 UTC
Created attachment 116197 [details]
Screenshot

When selecting a cell for editing the cursor is shown within cell correctly. After cursor movements with arrow keys the initial cursor position is not cleared. A black vertical bar remains visible at initial cursor position (see attached screenshot).

Steps to reproduce:

(1) Open an empty Calc sheet

(2) Select an arbitrary cell and type some text

(3) Select another cell and reselect previous cell again

(4) Move cursor with arrow keys

The problem is visible with OS X 10.10.3.

Severity should be clasified by QA.
Comment 1 Cor Nouws 2015-06-01 11:43:47 UTC
Hi Thorsten,

I confirm I see the same now and then on Ubuntu 32 bits.
Not exactly with the steps you mention. (Should try to make notes of how..)

But for me enough to set to new.

Cheers - Cor
Comment 2 m.a.riosv 2015-07-19 23:34:28 UTC
*** Bug 92828 has been marked as a duplicate of this bug. ***
Comment 3 m.a.riosv 2015-07-19 23:41:44 UTC
Reproducible also with:
Win7x64Ultimate
Version: 4.4.5.1 Build ID: 1b6df295803ea040dab1b48b5424da8d78d94cf0
Version: 5.1.0.0.alpha1+ (x64) Build ID: b6cad3faff530a84a585a3d8bb965568fe96ef97
TinderBox: Win-x86_64@62-TDF, Branch:MASTER, Time: 2015-07-19_14:26:41
Comment 4 Michael Weghorn 2015-08-12 21:06:50 UTC
bibisect result (using the bibisect-50max repository):

There are only 'skip'ped commits left to test.
The first bad commit could be any of:
20b240699544c78cfc7421ef3eb6ea962ed487b9
7140b0148ac13eb6a5619a51a493fa53ad92cc70
d01b33e89eaa7cce525cea61801a83426e64051b
12ab8ac74d8b396dfb00f05dd25f7673f519a59c
423c81ead29ffacdb735141c685ea2ccdc5c5d21
183dad616e1c1c8a495fafa03ccb3e30104b7077
8fca7f207dfb0bdb37dfcd73ecbe3d7df2741c9a
28098b28b3e69445c72688a5d76f9ffc33dc214c
ea95b41929f257e6a8a4dcbce25d2368a5359205
dfd0a4dd8eb379a699666dae1fbd6deceb2b463f
e2f7a4e2697cafd083fe08fe3c7764cba8c8fd59
2fbbdcdeb816fc77ab3e238bcffa3f6b60ebec5c
f562ab7520c1c66338cac89498402d57c927740c
67460047776e198d66eab18aaa3e893642b50974
8c1e29f2b2eca459247d19df9d7ac4fd28c1d745
4b1bcce3bb0a956844a7949cd623626f3975774f
6ea8547abdf341f1fc7fbdacf9953b86d211bb4a
7b92ada1c5894103cf0e2b8e58513544622049dc
c81aa6e732d1920ed5c6a3a89927f006164edb43
45f2cf816976ed7c2e517f4bf49e4e40cbda1a5f
bafd74f6f9c4e6d20e155a99cb10a1dec36f6600
00ba487c9abe2ac464d5777c31957041b5141014
990644d5392508d4d70189751ccbfa313ebdf824
b71ea0f71e5f374dd2c4b67a29ed2715e84b7562
d0292c110afd7c4773a5ff01d99af3f8e89bd209
1d824b95c3d31a386110d41bbff8f43a279a0abb
4dcc151dcc99651693b072f01cd1334e671978f1
abf1e580f29a2d48e70e39de2d510c4624f6dacc
c28426f127e10153d1efe0285cde37c05cf668db
0f928ba79cdf6efb340f6f6b02739f5880485f25
edb88a24e4bdbc3f55900b0c32cf5ce61eaf0b07
0f36fbed032cdcd6657b7a99aa588ca6ae8e7ee0
f4ecc4caaf0ad13a8d6ac64555ecfdf1acf16b69
e70931e0a5a740908a1956540c6bc357a122ac35
We cannot bisect more!

---

$ git bisect log
# bad: [dda106fd616b7c0b8dc2370f6f1184501b01a49e] source-hash-0db96caf0fcce09b87621c11b584a6d81cc7df86
# good: [5b9dd620df316345477f0b6e6c9ed8ada7b6c091] source-hash-2851ce5afd0f37764cbbc2c2a9a63c7adc844311
git bisect start 'latest' 'oldest'
# good: [0c30a2c797b249d0cd804cb71554946e2276b557] source-hash-45aaec8206182c16025cbcb20651ddbdf558b95d
git bisect good 0c30a2c797b249d0cd804cb71554946e2276b557
# bad: [2ce02b2ce56f12b9fcb9efbd380596975a3a5686] source-hash-17d714eef491bda2512ba8012e5b3067ca19a5be
git bisect bad 2ce02b2ce56f12b9fcb9efbd380596975a3a5686
# bad: [e4deb8a42948865b7b23d447c1547033cb54535b] source-hash-ce46c98dbeb3364684843daa5b269c74fce2af64
git bisect bad e4deb8a42948865b7b23d447c1547033cb54535b
# good: [15e8b5cc6b4784fecd63b2a5a04ac086b3e9fc01] source-hash-26b500afcaed704db7a300836f466517c309ee77
git bisect good 15e8b5cc6b4784fecd63b2a5a04ac086b3e9fc01
# good: [73235831b07a9812413e0b0f5d0ba24b89206933] source-hash-6934ad423afd43d4d5c3788d0c020164309aaffa
git bisect good 73235831b07a9812413e0b0f5d0ba24b89206933
# bad: [47b5277fefb57599e1f65c51ed35b22c29aaf52c] source-hash-9450d7e7089aab4b14a669bf947cc34ae0f6b892
git bisect bad 47b5277fefb57599e1f65c51ed35b22c29aaf52c
# good: [e11ec0a60bb9ac9b1458a2cf6feb7885b58cebf4] source-hash-ee7e182591cc2a1e43f7d44204f00a316f22f07b
git bisect good e11ec0a60bb9ac9b1458a2cf6feb7885b58cebf4
# skip: [ea95b41929f257e6a8a4dcbce25d2368a5359205] source-hash-b3ef2a7f50cc345f7839cf21094ee1a6c42b1eaa
git bisect skip ea95b41929f257e6a8a4dcbce25d2368a5359205
# skip: [990644d5392508d4d70189751ccbfa313ebdf824] source-hash-2a081a0f9ba8c73a0eba55020b6c39ee7778f9c9
git bisect skip 990644d5392508d4d70189751ccbfa313ebdf824
# bad: [b4699a502446433ecc8128e343af9adc16259a1f] source-hash-c42f4d03a846c2dec379aec52da9c959848b5e52
git bisect bad b4699a502446433ecc8128e343af9adc16259a1f
# skip: [67460047776e198d66eab18aaa3e893642b50974] source-hash-1f129c82ccbfe8a978f5a29a5786d3f6ce5f04cf
git bisect skip 67460047776e198d66eab18aaa3e893642b50974
# good: [d73779aa51c8ad5bca8397491efe0b28fedd7b71] source-hash-ea59d42d2098e8be8b3ab9667922e8427ee4b714
git bisect good d73779aa51c8ad5bca8397491efe0b28fedd7b71
# skip: [12ab8ac74d8b396dfb00f05dd25f7673f519a59c] source-hash-a2675cb3778cc086ed82ad6375dba4b11b7c7911
git bisect skip 12ab8ac74d8b396dfb00f05dd25f7673f519a59c
# skip: [d01b33e89eaa7cce525cea61801a83426e64051b] source-hash-d9bc18426d8f6916f5ae4b5acea748921921c293
git bisect skip d01b33e89eaa7cce525cea61801a83426e64051b
# skip: [c81aa6e732d1920ed5c6a3a89927f006164edb43] source-hash-2730944192b84c8c0fc384c773f867e765790b58
git bisect skip c81aa6e732d1920ed5c6a3a89927f006164edb43
# skip: [183dad616e1c1c8a495fafa03ccb3e30104b7077] source-hash-772e5c9f1cdf367334add78633b166be3c53e72e
git bisect skip 183dad616e1c1c8a495fafa03ccb3e30104b7077
# skip: [abf1e580f29a2d48e70e39de2d510c4624f6dacc] source-hash-325690a7ccab6c500f83a40f91e037fd9d1338f0
git bisect skip abf1e580f29a2d48e70e39de2d510c4624f6dacc
# skip: [20b240699544c78cfc7421ef3eb6ea962ed487b9] source-hash-61ebb1b21c37f50b8231472e37af2d88918e1bc3
git bisect skip 20b240699544c78cfc7421ef3eb6ea962ed487b9
# skip: [4dcc151dcc99651693b072f01cd1334e671978f1] source-hash-8b5f18ea3eef19fca12b611b647e0de14f64f68c
git bisect skip 4dcc151dcc99651693b072f01cd1334e671978f1
# skip: [dfd0a4dd8eb379a699666dae1fbd6deceb2b463f] source-hash-82bc3505a05ce087ebfbd932e039ee5f14c777d5
git bisect skip dfd0a4dd8eb379a699666dae1fbd6deceb2b463f
# skip: [d0292c110afd7c4773a5ff01d99af3f8e89bd209] source-hash-892542426fb69bbb19f0a5cb9338f67074bd3add
git bisect skip d0292c110afd7c4773a5ff01d99af3f8e89bd209
# bad: [b7789fcea01499c6b937645995e56b9e6fc0b5b8] source-hash-047d9818dd77046ae4de266f5f5fed221ecf0557
git bisect bad b7789fcea01499c6b937645995e56b9e6fc0b5b8
# skip: [8c1e29f2b2eca459247d19df9d7ac4fd28c1d745] source-hash-b0cb454f4a1060bb18f69a4e54714ca0fe8acf65
git bisect skip 8c1e29f2b2eca459247d19df9d7ac4fd28c1d745
# good: [0a8420f93ee09ae0d3d13dcd7f7faa3e22747beb] source-hash-89d825c30ed812264585f45a43b1ebda0b74a44f
git bisect good 0a8420f93ee09ae0d3d13dcd7f7faa3e22747beb
# skip: [f562ab7520c1c66338cac89498402d57c927740c] source-hash-658534d36f87f9ab03d862e57b04ea268b73ccab
git bisect skip f562ab7520c1c66338cac89498402d57c927740c
# bad: [a1651e063b37cf63f46220c7e3219f750598061c] source-hash-12168aeea91a57e63159c3103c904d630c44c62e
git bisect bad a1651e063b37cf63f46220c7e3219f750598061c
# good: [a5efe095afa7b104bb34fca5f6f1f066fab26055] source-hash-0e0be1be40687b3c6131a3027a06080c6a0f1a51
git bisect good a5efe095afa7b104bb34fca5f6f1f066fab26055
# skip: [edb88a24e4bdbc3f55900b0c32cf5ce61eaf0b07] source-hash-b0c1d2a7f368ed8af46d358e4b4350eb435fa241
git bisect skip edb88a24e4bdbc3f55900b0c32cf5ce61eaf0b07
# skip: [28098b28b3e69445c72688a5d76f9ffc33dc214c] source-hash-718143b55ca9163f49fa7e86f677e3e83226a9fc
git bisect skip 28098b28b3e69445c72688a5d76f9ffc33dc214c
# good: [0934fe68a9213f9d015d4a84f67938e086a14245] source-hash-468ff4b3b6e20cab284b5f6dbd7c8aa5a1ba1264
git bisect good 0934fe68a9213f9d015d4a84f67938e086a14245
# skip: [2fbbdcdeb816fc77ab3e238bcffa3f6b60ebec5c] source-hash-c4f3d69dcf98e223cdc95abf8419f7ab96812387
git bisect skip 2fbbdcdeb816fc77ab3e238bcffa3f6b60ebec5c
# skip: [c28426f127e10153d1efe0285cde37c05cf668db] source-hash-7b8a59807806dbf6ec759a836c873b435e09e907
git bisect skip c28426f127e10153d1efe0285cde37c05cf668db
# skip: [8fca7f207dfb0bdb37dfcd73ecbe3d7df2741c9a] source-hash-2bf1955d769f60ddc94fb35bffde3ef09d9f047a
git bisect skip 8fca7f207dfb0bdb37dfcd73ecbe3d7df2741c9a
# skip: [0f36fbed032cdcd6657b7a99aa588ca6ae8e7ee0] source-hash-5cbb51c009fa266e8418ef93799ac64e431c22f5
git bisect skip 0f36fbed032cdcd6657b7a99aa588ca6ae8e7ee0
# skip: [423c81ead29ffacdb735141c685ea2ccdc5c5d21] source-hash-5c416f82731432f4009c00eae629a85220e8eab9
git bisect skip 423c81ead29ffacdb735141c685ea2ccdc5c5d21
# skip: [1d824b95c3d31a386110d41bbff8f43a279a0abb] source-hash-35cf00e20ad5826f715f5d5bbc48d486228774ca
git bisect skip 1d824b95c3d31a386110d41bbff8f43a279a0abb
# skip: [e2f7a4e2697cafd083fe08fe3c7764cba8c8fd59] source-hash-149792414e767c7526123f0e2abb7c4dc9491fa0
git bisect skip e2f7a4e2697cafd083fe08fe3c7764cba8c8fd59
# skip: [0f928ba79cdf6efb340f6f6b02739f5880485f25] source-hash-ee2a8ecd577e5fa31d73b92252a7fb05449b6dd9
git bisect skip 0f928ba79cdf6efb340f6f6b02739f5880485f25
# skip: [7140b0148ac13eb6a5619a51a493fa53ad92cc70] source-hash-83f2516af8a49bfdddf1b416f23b748a66d29545
git bisect skip 7140b0148ac13eb6a5619a51a493fa53ad92cc70
# skip: [b71ea0f71e5f374dd2c4b67a29ed2715e84b7562] source-hash-97ea96fed5a189e59982f97f57119938448296e2
git bisect skip b71ea0f71e5f374dd2c4b67a29ed2715e84b7562
# skip: [6ea8547abdf341f1fc7fbdacf9953b86d211bb4a] source-hash-f0aaeb4cd6c56c79527f3d27faa4d020ef74a94f
git bisect skip 6ea8547abdf341f1fc7fbdacf9953b86d211bb4a
# good: [093f149ade6bbd5b332a78143b9b874d987a6e70] source-hash-9559cef61d0ca9159ef095fe28fc68121a8d30d3
git bisect good 093f149ade6bbd5b332a78143b9b874d987a6e70
# skip: [4b1bcce3bb0a956844a7949cd623626f3975774f] source-hash-a20167ba502384144b20090ab7e144f25e38767e
git bisect skip 4b1bcce3bb0a956844a7949cd623626f3975774f
# skip: [45f2cf816976ed7c2e517f4bf49e4e40cbda1a5f] source-hash-2f31ac76be64953d19a72e3d8eae42b1ac5c5473
git bisect skip 45f2cf816976ed7c2e517f4bf49e4e40cbda1a5f
# skip: [7b92ada1c5894103cf0e2b8e58513544622049dc] source-hash-2a67f6ad8a2cfcadab6c051689fb519a7bf76ed8
git bisect skip 7b92ada1c5894103cf0e2b8e58513544622049dc
# skip: [00ba487c9abe2ac464d5777c31957041b5141014] source-hash-f9c9f57e6901ce6a55a153962d0852324d9cadcf
git bisect skip 00ba487c9abe2ac464d5777c31957041b5141014
# skip: [bafd74f6f9c4e6d20e155a99cb10a1dec36f6600] source-hash-355f1199fdd552cfd4fa167b345f37649ae76d80
git bisect skip bafd74f6f9c4e6d20e155a99cb10a1dec36f6600
# skip: [f4ecc4caaf0ad13a8d6ac64555ecfdf1acf16b69] source-hash-da631972229389d40e0502e02ff4e2c0761ca3fc
git bisect skip f4ecc4caaf0ad13a8d6ac64555ecfdf1acf16b69
# bad: [e70931e0a5a740908a1956540c6bc357a122ac35] source-hash-3e8a7ce7dffcf46a692e5da0b281a104df8d4d95
git bisect bad e70931e0a5a740908a1956540c6bc357a122ac35
# only skipped commits left to test
# possible first bad commit: [e70931e0a5a740908a1956540c6bc357a122ac35] source-hash-3e8a7ce7dffcf46a692e5da0b281a104df8d4d95
# possible first bad commit: [f4ecc4caaf0ad13a8d6ac64555ecfdf1acf16b69] source-hash-da631972229389d40e0502e02ff4e2c0761ca3fc
# possible first bad commit: [edb88a24e4bdbc3f55900b0c32cf5ce61eaf0b07] source-hash-b0c1d2a7f368ed8af46d358e4b4350eb435fa241
# possible first bad commit: [c28426f127e10153d1efe0285cde37c05cf668db] source-hash-7b8a59807806dbf6ec759a836c873b435e09e907
# possible first bad commit: [1d824b95c3d31a386110d41bbff8f43a279a0abb] source-hash-35cf00e20ad5826f715f5d5bbc48d486228774ca
# possible first bad commit: [b71ea0f71e5f374dd2c4b67a29ed2715e84b7562] source-hash-97ea96fed5a189e59982f97f57119938448296e2
# possible first bad commit: [00ba487c9abe2ac464d5777c31957041b5141014] source-hash-f9c9f57e6901ce6a55a153962d0852324d9cadcf
# possible first bad commit: [bafd74f6f9c4e6d20e155a99cb10a1dec36f6600] source-hash-355f1199fdd552cfd4fa167b345f37649ae76d80
# possible first bad commit: [c81aa6e732d1920ed5c6a3a89927f006164edb43] source-hash-2730944192b84c8c0fc384c773f867e765790b58
# possible first bad commit: [4b1bcce3bb0a956844a7949cd623626f3975774f] source-hash-a20167ba502384144b20090ab7e144f25e38767e
# possible first bad commit: [8c1e29f2b2eca459247d19df9d7ac4fd28c1d745] source-hash-b0cb454f4a1060bb18f69a4e54714ca0fe8acf65
# possible first bad commit: [f562ab7520c1c66338cac89498402d57c927740c] source-hash-658534d36f87f9ab03d862e57b04ea268b73ccab
# possible first bad commit: [e2f7a4e2697cafd083fe08fe3c7764cba8c8fd59] source-hash-149792414e767c7526123f0e2abb7c4dc9491fa0
# possible first bad commit: [28098b28b3e69445c72688a5d76f9ffc33dc214c] source-hash-718143b55ca9163f49fa7e86f677e3e83226a9fc
# possible first bad commit: [8fca7f207dfb0bdb37dfcd73ecbe3d7df2741c9a] source-hash-2bf1955d769f60ddc94fb35bffde3ef09d9f047a
# possible first bad commit: [423c81ead29ffacdb735141c685ea2ccdc5c5d21] source-hash-5c416f82731432f4009c00eae629a85220e8eab9
# possible first bad commit: [7140b0148ac13eb6a5619a51a493fa53ad92cc70] source-hash-83f2516af8a49bfdddf1b416f23b748a66d29545
# possible first bad commit: [20b240699544c78cfc7421ef3eb6ea962ed487b9] source-hash-61ebb1b21c37f50b8231472e37af2d88918e1bc3
# possible first bad commit: [d01b33e89eaa7cce525cea61801a83426e64051b] source-hash-d9bc18426d8f6916f5ae4b5acea748921921c293
# possible first bad commit: [12ab8ac74d8b396dfb00f05dd25f7673f519a59c] source-hash-a2675cb3778cc086ed82ad6375dba4b11b7c7911
# possible first bad commit: [183dad616e1c1c8a495fafa03ccb3e30104b7077] source-hash-772e5c9f1cdf367334add78633b166be3c53e72e
# possible first bad commit: [ea95b41929f257e6a8a4dcbce25d2368a5359205] source-hash-b3ef2a7f50cc345f7839cf21094ee1a6c42b1eaa
# possible first bad commit: [dfd0a4dd8eb379a699666dae1fbd6deceb2b463f] source-hash-82bc3505a05ce087ebfbd932e039ee5f14c777d5
# possible first bad commit: [2fbbdcdeb816fc77ab3e238bcffa3f6b60ebec5c] source-hash-c4f3d69dcf98e223cdc95abf8419f7ab96812387
# possible first bad commit: [67460047776e198d66eab18aaa3e893642b50974] source-hash-1f129c82ccbfe8a978f5a29a5786d3f6ce5f04cf
# possible first bad commit: [6ea8547abdf341f1fc7fbdacf9953b86d211bb4a] source-hash-f0aaeb4cd6c56c79527f3d27faa4d020ef74a94f
# possible first bad commit: [7b92ada1c5894103cf0e2b8e58513544622049dc] source-hash-2a67f6ad8a2cfcadab6c051689fb519a7bf76ed8
# possible first bad commit: [45f2cf816976ed7c2e517f4bf49e4e40cbda1a5f] source-hash-2f31ac76be64953d19a72e3d8eae42b1ac5c5473
# possible first bad commit: [990644d5392508d4d70189751ccbfa313ebdf824] source-hash-2a081a0f9ba8c73a0eba55020b6c39ee7778f9c9
# possible first bad commit: [d0292c110afd7c4773a5ff01d99af3f8e89bd209] source-hash-892542426fb69bbb19f0a5cb9338f67074bd3add
# possible first bad commit: [4dcc151dcc99651693b072f01cd1334e671978f1] source-hash-8b5f18ea3eef19fca12b611b647e0de14f64f68c
# possible first bad commit: [abf1e580f29a2d48e70e39de2d510c4624f6dacc] source-hash-325690a7ccab6c500f83a40f91e037fd9d1338f0
# possible first bad commit: [0f928ba79cdf6efb340f6f6b02739f5880485f25] source-hash-ee2a8ecd577e5fa31d73b92252a7fb05449b6dd9
# possible first bad commit: [0f36fbed032cdcd6657b7a99aa588ca6ae8e7ee0] source-hash-5cbb51c009fa266e8418ef93799ac64e431c22f5

In the skipped commits, I got a DeploymentException (on Debian Jessie with Xfce) which also occured after deleting my LibreOffice profile.
Comment 5 Robinson Tryon (qubit) 2015-12-13 11:13:06 UTC Comment hidden (obsolete)
Comment 6 Cor Nouws 2016-02-12 17:29:41 UTC
It's ugly. In 5.1.0.3 it's a constant problem.
When you have two lines in a cell..

Whom should be asked, on base of the bibisect, to have a look?
Comment 7 Michael Weghorn 2016-02-13 12:44:32 UTC
I have bisected this bug by manually building the commits in question (further comments: s. below).

The following bisect result describes where the cursor first occurs twice:

83f2516af8a49bfdddf1b416f23b748a66d29545 is the first bad commit
commit 83f2516af8a49bfdddf1b416f23b748a66d29545
Author: Jan Holesovsky <kendy@collabora.com>
Date:   Wed Mar 18 13:11:36 2015 +0100

    sc tiled editing: Clear the right area behind the editeng.
    
    Based on a patch by Henry Castro.
    
    Change-Id: Ic463c97577d521e3c2e4d6bc904c517aa564edca

:040000 040000 9053292394884f01aeec2c5a4d18a5a8d996b880 04da336f86b37dd89006b5e022c35429023747fc M	sc

---

$ git bisect log
# bad: [3e8a7ce7dffcf46a692e5da0b281a104df8d4d95] Revert "loplugin:constantfunction: connectivity"
# good: [9559cef61d0ca9159ef095fe28fc68121a8d30d3] loplugin:constantfunction: cui
git bisect start '3e8a7ce7dffcf46a692e5da0b281a104df8d4d95' '9559cef61d0ca9159ef095fe28fc68121a8d30d3'
# good: [a2675cb3778cc086ed82ad6375dba4b11b7c7911] lokdocview: clean up quad mode
git bisect good a2675cb3778cc086ed82ad6375dba4b11b7c7911
# bad: [2b5cf2391078f80e31c3cc974b7d82927ab53175] android: when in selection, avoid showing the middle handle
git bisect bad 2b5cf2391078f80e31c3cc974b7d82927ab53175
# bad: [2bf1955d769f60ddc94fb35bffde3ef09d9f047a] sd tiled rendering: draw documents have no slides view
git bisect bad 2bf1955d769f60ddc94fb35bffde3ef09d9f047a
# good: [61ebb1b21c37f50b8231472e37af2d88918e1bc3] sc tiled editing: Use the correct device for PixelToLogic.
git bisect good 61ebb1b21c37f50b8231472e37af2d88918e1bc3
# bad: [5c416f82731432f4009c00eae629a85220e8eab9] solenv: adapt native-code to partially split sd/util/sd.component
git bisect bad 5c416f82731432f4009c00eae629a85220e8eab9
# bad: [83f2516af8a49bfdddf1b416f23b748a66d29545] sc tiled editing: Clear the right area behind the editeng.
git bisect bad 83f2516af8a49bfdddf1b416f23b748a66d29545
# first bad commit: [83f2516af8a49bfdddf1b416f23b748a66d29545] sc tiled editing: Clear the right area behind the editeng.


However, in those commits marked as "good", the behaviour is also a bit strange. While no second cursor is shown in that case, the place where the cursor was initially is not filled with the correct part of the letters but stays white/empty.


@Kendy: Could you possibly have a look at this?

Is the second cursor possibly only a changed behaviour in a bug that already existed previously or is it independent of this?


PS: In order to build the single commits, I needed to revert commit 5cbb51c009fa266e8418ef93799ac64e431c22f5 each time - the original bibisect log in comment 4 shows that otherwise those builds are non-functional.

Basic steps I took for each commit considered during the bisect (in case somebody wants to do this as well):

git revert --no-commit 5cbb51c009fa266e8418ef93799ac64e431c22f5
make build-nocheck
instdir/program/soffice
# test whether the bug is present
git revert --abort
git bisect [good|bad]
Comment 8 Michael Weghorn 2016-02-13 12:52:00 UTC
Created attachment 122613 [details]
Screenshot - Behaviour before the second cursor appeard

This screenshot shows the behaviour mentioned in comment 7 in those commits where the second cursor is not present.
The cursor was initially in between the letters "d" and "f" (first occurence). Now, the space where it was is emtpy/white - a small part of the "f" is missing.

The screenshot has been taken with a build based on commit a2675cb3778cc086ed82ad6375dba4b11b7c7911 (and commit 5cbb51c009fa266e8418ef93799ac64e431c22f5 reverted, as mentioned in my previous comment).
Comment 9 Commit Notification 2016-04-20 11:02:22 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=29a9f433c268414747d8ec7343fc2b5987971738

Resolves: tdf#91778 drawing the background over an active cursor

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2016-04-20 12:06:34 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e3d8431d00116e9aeb5570b15324a26258afba00&h=libreoffice-5-1

Resolves: tdf#91778 drawing the background over an active cursor

It will be available in 5.1.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2016-04-20 13:31:56 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-1-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2dad4d0aee8b6eaf74e98f879e76369d34476443&h=libreoffice-5-1-3

Resolves: tdf#91778 drawing the background over an active cursor

It will be available in 5.1.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.